import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import static java.lang.Math.*;

class ce3V extends JApplet 
{ 
	public ce3V(double x1,double x2,int N,String s) 
	{ int plottype4[]={0};
	  Color c4[]={Color.blue};
	vplot pp=new vplot(plottype4,c4,new f2D(),x1,x2,N);
	pp.setPlabel("f(x)="+s);
	pp.plot();	
	}
	

	public ce3V(double x1,double x2,int N)
	 {
		 int plottype4[]={0};
	  Color c4[]={Color.blue};
	vplot pp=new vplot(plottype4,c4,new f2D(),x1,x2,N);
	pp.plot();
	 }
	 
	 public ce3V(double x1,double x2)
	 {int plottype4[]={0};
	  Color c4[]={Color.blue};
	vplot pp=new vplot(plottype4,c4,new f2D(),x1,x2,200);
	pp.plot();
	 }
	 
	 public ce3V(double x1,double x2,String s)
	 {int plottype4[]={0};
	  Color c4[]={Color.blue};
	  vplot pp=new vplot(plottype4,c4,new f2D(),x1,x2,200);
	  pp.setPlabel("f(x)="+s);
	  pp.plot();
	 }
	 
	 public ce3V()
	 { double x1=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun alt sınırını giriniz x_minimum  : "));
       double x2=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun üst sınırını giriniz x_maksimum : "));
	   int plottype4[]={0};
	  Color c4[]={Color.blue};
	  vplot pp=new vplot(plottype4,c4,new f2D(),x1,x2,200);
	  pp.plot();
	 }
	 
	 public ce3V(String s)
	 { double x1=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun alt sınırını giriniz x_minimum  : "));
       double x2=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun üst sınırını giriniz x_maksimum : "));
	   int plottype4[]={0};
	  Color c4[]={Color.blue};
	  vplot pp=new vplot(plottype4,c4,new f2D(),x1,x2,200);
	  pp.setPlabel("f(x)="+s);
	  pp.plot();
	 }
	 
	  public static void main(String arg[])
	  {double a=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun alt sınırını giriniz x_minimum  : "));
       double b=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun üst sınırını giriniz x_maksimum : "));
	   ce3V xx=new ce3V(a,b,400);}
 }
